:root {

    --bg-dark-color: rgba(51, 51, 51, 1);
    --bg-light-color: rgba(255, 255, 255, 1);
    /* Button */
    --btn-primary-color: rgba(136, 14, 212, 1);
    --btn-primary-color-border: rgba(136, 14, 212, 0.8);
    --btn-primary-color-hover: rgba(155, 18, 240, 1);

    /* Form inputs */
    --input-border-color: rgba(136, 14, 212, 0.85);
}

* {
    box-sizing: border-box;
}

#login-page {
    min-height: 100vh;
    height: 100%;
    max-width: 100vw;
    width: 100%;

    content: "";
    clear: both;
    overflow-x: hidden;
    background-color: var(--bg-dark-color);
}

.login-container {
    max-width: 360px;
    width: 360px;
    min-width: 360px;
    background-color: var(--bg-light-color);
    border-radius: 9px;
    -webkit-border-radius: 9px;
    -moz-border-radius: 9px;
    -ms-border-radius: 9px;
    -o-border-radius: 9px;
}

.form-control:focus {
    letter-spacing: 1pt;

    border-color: var(--input-border-color);
    box-shadow: 0 0 0 0.2rem rgba(136, 14, 212, 0.35);
}
.form-select:focus {
    letter-spacing: 1pt;

    border-color: var(--input-border-color);
    box-shadow: 0 0 0 0.2rem rgba(136, 14, 212, 0.35);
}

.padd-m {
    padding: 2rem;
}

.btn-sm {
    padding: 10px 17px !important;
    font-size: 11px !important;
    letter-spacing: 1pt;
    border-radius: 6px;
    -webkit-border-radius: 6px;
    -moz-border-radius: 6px;
    -ms-border-radius: 6px;
    -o-border-radius: 6px;
}

.btn {
    padding: 14px 21px;
    font-size: 13px;
    letter-spacing: 1pt;
    border-radius: 6px;
    -webkit-border-radius: 6px;
    -moz-border-radius: 6px;
    -ms-border-radius: 6px;
    -o-border-radius: 6px;
}

/* Primary button */
.btn-primary {
    background-color: var(--btn-primary-color);
    border-color: var(--btn-primary-color-border);
}

.btn-primary:focus {
    background-color: var(--btn-primary-color);
    border-color: var(--btn-primary-color-border);

}

.btn-primary:focus-visible {
    background-color: var(--btn-primary-color);
    outline-color: var(--btn-primary-color-border);
    box-shadow: 0 0 0 0.25rem rgba(136, 14, 212, 0.4) !important;

}

.btn-primary:hover {
    border-color: var(--btn-primary-color-border);
    background-color: var(--btn-primary-color-hover);
}

.btn-primary:active {
    border-color: var(--btn-primary-color-border) !important;
    background-color: var(--btn-primary-color-hover) !important;
}


#admin-page {
    min-height: 100vh;
    height: 100%;
    max-width: 100vw;
    width: 100%;

    content: "";
    clear: both;
    overflow-x: hidden;
    background-color: rgba(51, 51, 51, 1);
}

.wrapper {
    min-width: 100vw;
    width: 100%;
    max-width: 100vw;

    min-height: 100vh;
    background-color: rgba(51, 51, 51, 1);
}

.floating-sidebar {
    padding: 1rem;
    background-color: transparent;
    height: 100vh;
    width: 100%;
    margin-left: -1000px;
    position: fixed;
    background-color: rgba(0, 0, 0, 0.35);
    backdrop-filter: blur(5px);
    visibility: hidden;
}

.sidebar {
    height: 100%;
    max-height: 100%;
    background-color: rgb(255, 255, 255);
    border-radius: 15px;
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    -ms-border-radius: 15px;
    -o-border-radius: 15px;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    width: 100%;
}

.floating-sidebar.show {
    animation: showSidebar 0.3s forwards;
    -webkit-animation: showSidebar 0.3s forwards;
}

.floating-sidebar.hidden {
    animation: hiddenSidebar 0.3s forwards;
    -webkit-animation: hiddenSidebar 0.3s forwards;
}

.bs-card {
    background-color: rgb(255, 255, 255);
    border: 1px solid rgb(165, 165, 165);
    border-radius: 15px;
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    -ms-border-radius: 15px;
    -o-border-radius: 15px;
    /* box-shadow: 0px 10px 15px -3px rgba(0,0,0,0.1); */
}

.bs-card-desc {
    color: rgba(51, 51, 51, 1);
}

.svg-stroke-pink {
    color: pink;
}

.svg-icon-xs {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 15px !important;
    height: 15px !important;
}

.svg-icon-sm {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 18px !important;
    height: 18px !important;
}

.svg-icon {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 21px;
    height: 21px;
}

.svg-icon-xxl {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 80px;
    height: 80px;
}

.close-sidebar {
    color: rgba(51, 51, 51, 1);
    width: 10%;
}

.breadcrumb-item a {
    color: rgba(51, 51, 51, 1) !important;
}

.table thead th {
    background-color: rgb(207, 14, 175) !important;
    border: 1px solid rgb(235, 38, 202) !important;
    color: rgb(250, 250, 250);
    padding: 1rem;
}

.table tbody td {
    padding: 0.65rem 1rem;
}

@keyframes showSidebar {

    0% {
        margin-left: -1000px;
    }

    90% {
        /* opacity: 1; */
    }

    100% {
        margin-left: 0px;
        visibility: visible;
    }
}

@keyframes hiddenSidebar {

    0% {
        margin-left: 0px;
    }

    /* 90% {
        opacity: 0;
    } */

    100% {
        margin-left: -10000px;
        visibility: hidden;
    }
}

.header-nav {
    padding: 1rem;

}

.hnav {
    background-color: rgb(255, 255, 255);
    color: rgba(51, 51, 51, 1);
    width: 100%;
    border-radius: 15px;
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    -ms-border-radius: 15px;
    -o-border-radius: 15px;
}

.toggle-sidebar {
    visibility: visible;
}

.hnav>.toggle-sidebar {
    background-color: transparent;
    border: none;

}

.btn-svg {
    background-color: transparent;
    border: none;
}

.main-content {
    width: 100%;
}



.page-contents {

    background-color: rgb(255, 255, 255);
    color: rgba(51, 51, 51, 1);
    width: 100%;
    border-radius: 15px;
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    -ms-border-radius: 15px;
    -o-border-radius: 15px;
}

.nav-item:hover .svg-icon {
    animation: rotateSvgIcon 0.5s forwards;
    -webkit-animation: rotateSvgIcon 0.5s forwards;
}

.nav-link:hover .svg-icon-xs {
    animation: rotateSvgIcon 0.5s forwards;
    -webkit-animation: rotateSvgIcon 0.5s forwards;
}

.sectionTabContainerTabs {
    display: none;
    visibility: hidden;
}

@keyframes rotateSvgIcon {
    0% {
        transform: scale(1);
        -webkit-transform: scale(1);
        -moz-transform: scale(1);
        -ms-transform: scale(1);
        -o-transform: scale(1);
    }

    50% {
        transform: scale(1.3);
        -webkit-transform: scale(1.3);
        -moz-transform: scale(1.3);
        -ms-transform: scale(1.3);
        -o-transform: scale(1.3);
    }

    100% {
        transform: scale(1);
        -webkit-transform: scale(1);
        -moz-transform: scale(1);
        -ms-transform: scale(1);
        -o-transform: scale(1);
    }
}

/* @keyframes rotateSvgIcon {
    0% {


        transform: rotate(0deg);
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
}

    50% {
        transform: rotate(100deg);
        -webkit-transform: rotate(100deg);
        -moz-transform: rotate(100deg);
        -ms-transform: rotate(100deg);
        -o-transform: rotate(100deg);
}

    100% {


        transform: rotate(0deg);
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
    }
} */
 

.offcanvas-custom {
    width: 100% !important;
    background-color: transparent;
    border: 1px solid transparent !important;
}

.offcanvas-custom-container {
    height: 100% !important;
    border-radius: 15px;
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    -ms-border-radius: 15px;
    -o-border-radius: 15px;
}
/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {
    .offcanvas-custom {
        width: 80% !important;
    }
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
    .offcanvas-custom {
        width: 70% !important;
    }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
    .floating-sidebar {
        width: 360px;
        margin-left: 0px !important;
        background-color: transparent;
        backdrop-filter: none !important;
        visibility: visible !important;
    }

    .main-content {
        width: calc(100vw - 360px);
        margin-left: 360px;
        animation: showMainContent 0.3s forwards;
        -webkit-animation: showMainContent 0.3s forwards;
    }

    @keyframes showMainContent {

        0% {
            margin-left: 1000px;
            /* opacity: 0; */
        }

        90% {
            /* opacity: 1 !important; */
        }

        100% {
            margin-left: 360px;
        }
    }

    .toggle-sidebar {
        visibility: hidden;
    }

    .offcanvas-custom {
        width: 60% !important;
    }
}

/* X-Large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
    .offcanvas-custom {
        width: 50% !important;
    }
}

/* XX-Large devices (larger desktops, 1400px and up) */
@media (min-width: 1400px) {
    .offcanvas-custom {
        width: 40% !important;
    }
}